--- old/usr/src/man/man3c/wcsrtombs.3c	Sun Jun 29 11:52:28 2014
+++ new/usr/src/man/man3c/wcsrtombs.3c	Sun Jun 29 11:52:28 2014
@@ -7,7 +7,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCSRTOMBS 3C "Nov 1, 2003"
+.TH WCSRTOMBS 3C "Jun 25, 2014"
 .SH NAME
 wcsrtombs, wcsrtombs_l \- convert a wide-character string to a character string
 (restartable)
@@ -19,14 +19,17 @@
 \fBsize_t\fR \fBwcsrtombs\fR(\fBchar *restrict\fR \fIdst\fR,
      \fBconst wchar_t **restrict\fR \fIsrc\fR, \fBsize_t\fR \fIlen\fR,
      \fBmbstate_t *restrict\fR \fIps\fR);
+.fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
 \fBsize_t\fR \fBwcsrtombs_l\fR(\fBchar *restrict\fR \fIdst\fR,
      \fBconst wchar_t **restrict\fR \fIsrc\fR, \fBsize_t\fR \fIlen\fR,
      \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwcsrtombs()\fR function converts a sequence of wide-characters from the
 array indirectly pointed to by \fIsrc\fR into a sequence of corresponding
@@ -49,10 +52,8 @@
 stored in the array pointed to by \fIdst\fR (and \fIdst\fR is not a null
 pointer).
 .RE
-.sp
 .LP
 Each conversion takes place as if by a call to the \fBwcrtomb()\fR function.
-.sp
 .LP
 If \fIdst\fR is not a null pointer, the pointer object pointed to by \fIsrc\fR
 is assigned either a null pointer (if conversion stopped due to reaching a
@@ -60,36 +61,31 @@
 wide-character converted (if any). If conversion stopped due to reaching a
 terminating null wide-character, the resulting state described is the initial
 conversion state.
-.sp
 .LP
 If \fIps\fR is a null pointer, the \fBwcsrtombs()\fR function uses its own
 internal \fBmbstate_t\fR object, which is initialized at program startup to the
 initial conversion state.  Otherwise, the  \fBmbstate_t\fR object pointed to by
 \fIps\fR is used to completely describe the current conversion state of the
-associated character sequence. Solaris will behave as if no function defined in
-the Solaris Reference Manual calls \fBwcsrtombs()\fR.
-.sp
+associated character sequence. The system will behave as if no function defined
+in the Reference Manual calls any of these functions.
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
-current locale.  See \fBenviron\fR(5).
-.sp
+The behavior of \fBwcsrtombs()\fR is affected by the \fBLC_CTYPE\fR category of
+the current locale.  See \fBenviron\fR(5).
 .LP
 The function \fBwcsrtombs_l()\fR behaves identically to \fBwcsrtombs\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 If conversion stops because a code is reached that does not correspond to a
-valid character, an encoding error occurs.  In this case, the \fBwcsrtombs()\fR
-function stores the value of the macro \fBEILSEQ\fR in \fBerrno\fR and returns
-\fB(size_t)\(mi1\fR; the conversion state is undefined.  Otherwise, it returns
+valid character, an encoding error occurs.  In this case, these
+functions store the value of the macro \fBEILSEQ\fR in \fBerrno\fR and return
+\fB(size_t)\(mi1\fR; the conversion state is undefined.  Otherwise, they return
 the number of bytes in the resulting character sequence, not including the
 terminating null (if any).
 .SH ERRORS
-.sp
 .LP
-The \fBwcsrtombs()\fR function may fail if:
+The \fBwcsrtombs()\fR and \fBwcsrtombs_l()\fR functions may fail if:
 .sp
 .ne 2
 .na
@@ -108,23 +104,9 @@
 .RS 10n
 A wide-character code does not correspond to a valid character.
 .RE
-
-.SH USAGE
-.sp
-.LP
-If \fIps\fR is not a null pointer, \fBwcsrtombs()\fR uses the \fBmbstate_t\fR
-object pointed to by \fIps\fR and the function can be used safely in
-multithreaded applications, as long as \fBsetlocale\fR(3C) is not being called
-to change the locale. If \fIps\fR is a null pointer, \fBwcsrtombs()\fR uses its
-internal \fBmbstate_t\fR object and the function is Unsafe in multithreaded
-applications.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -131,13 +113,19 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	See NOTES below
+MT-Level	See below.
 .TE
 
+.LP
+The \fBwcsrtombs()\fR function is Standard.  The \fBwcsrtombs_l()\fR
+function is Uncommitted.
+.LP
+If \fIps\fR is a null pointer, these functions should be considered Unsafe
+for use in multithreaded applications.  Otherwise, they are MT-Safe.
 .SH SEE ALSO
-.sp
 .LP
-\fBmbsinit\fR(3C), \fBsetlocale\fR(3C), \fBwcrtomb\fR(3C), \fBattributes\fR(5),
+\fBmbsinit\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBwcrtomb\fR(3C), \fBattributes\fR(5),
 \fBenviron\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/wctob.3c	Sun Jun 29 11:52:28 2014
+++ new/usr/src/man/man3c/wctob.3c	Sun Jun 29 11:52:28 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCTOB 3C "Aug 14, 2002"
+.TH WCTOB 3C "Jun 25, 2014"
 .SH NAME
 wctob, wctob_l \- wide-character to single-byte conversion
 .SH SYNOPSIS
@@ -17,41 +18,38 @@
 #include <wchar.h>
 
 \fBint\fR \fBwctob\fR(\fBwint_t\fR \fIc\fR);
-\fBint\fR \fBwctob_l\fR(\fBwint_t\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <stdio.h>
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBint\fR \fBwctob_l\fR(\fBwint_t\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwctob()\fR function determines whether \fIc\fR corresponds to a member
 of the extended character set whose  character representation is a single byte
 when in the initial shift state.
-.sp
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
+The behavior of \fBwctob()\fR is affected by the \fBLC_CTYPE\fR category of the
 current locale.  See \fBenviron\fR(5)
-.sp
 .LP
 The function \fBwctob_l()\fR behaves identically to \fBwctob()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-The \fBwctob()\fR function returns \fBEOF\fR if \fIc\fR does not correspond to
-a character with length one in the initial shift state.  Otherwise, it returns
+These functions return \fBEOF\fR if \fIc\fR does not correspond to
+a character with length one in the initial shift state.  Otherwise, they return
 the single-byte representation of that character.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -58,18 +56,15 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The \fBwctob()\fR function is Standard.  The \fBwctob_l()\fR function
+is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBbtowc\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5),
-\fBstandards\fR(5)
-.SH NOTES
-.sp
-.LP
-The \fBwctob()\fR function can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale.
+\fBbtowc\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/wctomb.3c	Sun Jun 29 11:52:29 2014
+++ new/usr/src/man/man3c/wctomb.3c	Sun Jun 29 11:52:29 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCTOMB 3C "Aug 14, 2002"
+.TH WCTOMB 3C "Jun 25, 2014"
 .SH NAME
 wctomb, wctomb_l \- convert a wide-character code to a character
 .SH SYNOPSIS
@@ -16,11 +17,15 @@
 #include <stdlib.h>
 
 \fBint\fR \fBwctomb\fR(\fBchar *\fR\fIs\fR, \fBwchar_t\fR \fIwchar\fR);
-\fBint\fR \fBwctomb_l\fR(\fBchar *\fR\fIs\fR, \fBwchar_t\fR \fIwchar\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <stdlib.h>
+#include <xlocale.h>
 
+\fBint\fR \fBwctomb_l\fR(\fBchar *\fR\fIs\fR, \fBwchar_t\fR \fIwchar\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwctomb()\fR function determines the number of bytes needed to represent
 the character corresponding to the wide-character code whose value is
@@ -27,43 +32,29 @@
 \fIwchar\fR. It stores the character representation (possibly multiple bytes)
 in the array object pointed to by \fIs\fR (if \fIs\fR is not a null pointer).
 At most \fBMB_CUR_MAX\fR bytes are stored.
-.sp
 .LP
 A call with \fIs\fR as a null pointer causes this function to return \fB0\fR.
 The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
 current locale.
-.sp
 .LP
 The function \fBwctomb_l()\fR behaves identically to \fBwctomb()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 If \fIs\fR is a null pointer, \fBwctomb()\fR returns \fB0\fR value. If \fIs\fR
 is not a null pointer, \fBwctomb()\fR returns \fB\(mi1\fR if the value of
 \fIwchar\fR does not correspond to a valid character, or returns the number of
 bytes that constitute the character corresponding to the value of \fIwchar\fR.
-.sp
 .LP
 In no case will the value returned be greater than the value of the
 \fBMB_CUR_MAX\fR macro.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
-.SH USAGE
-.sp
-.LP
-The \fBwctomb()\fR function can be used safely in a multithreaded application,
-as long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -72,13 +63,16 @@
 _
 CSI	Enabled
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The \fBwctomb()\fR function is Standard.  The \fBwctomb_l()\fR function
+is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBmblen\fR(3C), \fBmbstowcs\fR(3C), \fBmbtowc\fR(3C), \fBsetlocale\fR(3C),
+\fBmblen\fR(3C), \fBmbstowcs\fR(3C), \fBmbtowc\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
 \fBwcstombs\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/wctrans.3c	Sun Jun 29 11:52:30 2014
+++ new/usr/src/man/man3c/wctrans.3c	Sun Jun 29 11:52:30 2014
@@ -11,31 +11,39 @@
 .\"
 .\"
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH WCTRANS 3C "Jun 11, 2014"
+.TH WCTRANS 3C "Jun 25, 2014"
 
 .SH NAME
-
 towctrans, towctrans_l, wctrans, wctrans_l \- define and perform transliteration mappings
-
 .SH SYNOPSIS
-
 .LP
 .nf
 #include <wctype.h>
 
-.BI "wint_t towctrans(wint_t " wc ", wctrans_t " desc );
-.BI "wint_t towctrans_l(wint_t " wc ", wctrans_t " desc ", locale_t " loc );
-
-.BI "wctrans_t wctrans(const char *" class );
-.BI "wctrans_t wctrans_l(const char *" class, " locale_t " loc );
-
+\fBwint_t\fR \fBtowctrans\fR(\fBwint_t\fR \fIwc\fR, \fBwctrans_t\fR \fIdesc\fR);
+.fi
+.LP
+.nf
+\fBwint_t\fR \fBtowctrans_l\fR(\fBwint_t\fR \fIwc\fR, \fBwctrans_t\fR \fIdesc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
+.LP
+.nf
+\fBwctrans_t\fR \fBwctrans\fR(\fBconst char *\fR \fItranclass\fR);
+.fi
+.LP
+.nf
+\fBwctrans_t\fR \fBwctrans_l\fR(\fBconst char *\fR \fItranclass\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-
-The function
-.B wctrans
-is used to obtain a handle to a mapping table that maps one set of wide
-characters to another. It returns an object of type
+.LP
+The functions
+.B wctrans()
+and
+.B wctrans_l()
+are used to obtain a handle to a table that maps one set of wide
+characters to another. They return an object of type
 .I wctrans_t
 which can be used with the functions
 .B towctrans()
@@ -42,46 +50,35 @@
 and
 .BR towctrans_l() .
 The valid set of classes that are available depends on the locale.
-Regardless of what locale is being used, the following names are always
-valid:
-
-.na
-.in +2
-.I tolower
-.in -2
-.fi
-
-.na
-.in +2
-.I toupper
-.in -2
-.fi
-.sp
+The following names are valid in all locales:
+.TP
+"tolower"
+Conversion from upper case to lower case characters.
+.TP
+"toupper"
+Conversion from lower case to upper case characters.
 .LP
 The
 .B towctrans()
-function converts the wide character
+and
+.B towctrans_l()
+functions convert the wide character
 .IR wc
- based on the conversion table
-specified by
+based on the conversion table specified by
 .IR desc .
-
-
 .LP
 The functions
-.B towctrans_l
+.B towctrans_l()
 and
-.B wctrans_l
+.B wctrans_l()
 are equivalent to the functions
-.B towctrans
+.B towctrans()
 and
-.BR wctrans ,
-but instead of operating in the current environemnt, they operate on the
-environment specified by
+.BR wctrans() ,
+but instead of operating in the current locale, they operate on the
+locale specified by
 .IR loc .
-
 .SH RETURN VALUES
-
 On successful completion,
 .B towctrans()
 and
@@ -89,19 +86,16 @@
 functions return the character that corresponds to the argument passed
 through the mapping table described by
 .IR desc .
-Otherwise, it returns the character unchanged and sets
+Otherwise, they return the character unchanged and set
 .BR errno .
-
 On successful completion,
 .B wctrans()
 and
 .B wctrans_l()
 functions return a non-zero identifier for
-.IR class .
+.IR tranclass .
 On failure, they return zero and set
 .BR errno .
-
-
 .SH ERRORS
 .LP
 The
@@ -109,17 +103,11 @@
 and
 .B wctrans_l()
 functions will fail if:
-.sp
-.ne 2
-.na
-.B EINAVL
-.ad
-.RS 10n
+.TP
+.B EINVAL
 The mapping class specified by
-.I class
+.I tranclass
 does not exist or is invalid.
-.RE
-
 .LP
 The
 .B towctrans()
@@ -126,19 +114,12 @@
 and
 .B towctrans_l()
 functions will fail if:
-.sp
-.ne 2
-.na
-.B EINAVL
-.ad
-.RS 10n
+.TP
+.B EINVAL
 The mapping class specified by
 .I desc
 is invalid.
-.RE
-
 .SH ATTRIBUTES
-.sp
 .TS
 box;
 c | c
@@ -147,11 +128,10 @@
 _
 Interface Stability	Standard
 _
-MT-Level	Safe, with exceptions
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.BR duplocale (3C),
 .BR newlocale (3C),
 .BR setlocale (3C),
 .BR towlower (3C),
@@ -158,21 +138,3 @@
 .BR towupper (3C),
 .BR environ (5),
 .BR locale (5)
-
-.SH NOTES
-
-The functions
-.B towctrans()
-and
-.B wctrans()
-are thread-safe as long as
-the thread is emplying a per-thread locale as set per
-.B uselocale(3C)
-or
-.B setlocale(3C)
-is not called by another thread while these functions are running.
-Both
-.B towctrans_l()
-and
-.B wctrans_l()
-are MT-safe.
--- old/usr/src/man/man3c/wctype.3c	Sun Jun 29 11:52:30 2014
+++ new/usr/src/man/man3c/wctype.3c	Sun Jun 29 11:52:30 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCTYPE 3C "Aug 14, 2002"
+.TH WCTYPE 3C "Jun 25, 2014"
 .SH NAME
 wctype, wctype_l \- define character class
 .SH SYNOPSIS
@@ -16,59 +17,51 @@
 #include <wchar.h>
 
 \fBwctype_t\fR \fBwctype\fR(\fBconst char *\fR\fIcharclass\fR);
+.fi
+.LP
+.nf
 \fBwctype_t\fR \fBwctype_l\fR(\fBconst char *\fR\fIcharclass\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwctype()\fR function is defined for valid character class names as
 defined in the current locale. The \fIcharclass\fR is a string identifying a
 generic character class for which codeset-specific type information is
 required. The following character class names are defined in all locales:
-.sp
-
-.sp
+.IP
 .TS
 l l l
 l l l .
-alnum	alpha	blank
-cntrl	digit	graph
-lower	print	punct
-space	upper	xdigit
+"alnum"	"alpha"	"blank"
+"cntrl"	"digit"	"graph"
+"lower"	"print"	"punct"
+"space"	"upper"	"xdigit"
 .TE
 
-.sp
 .LP
 Additional character class names defined in the locale definition file
 (category \fBLC_CTYPE\fR) can also be specified.
-.sp
 .LP
 The function returns a value of type \fBwctype_t\fR, which can be used as the
-second argument to subsequent calls of \fBiswctype\fR(3C). \fBwctype()\fR
-determines values of \fBwctype_t\fR according to the rules of the coded
-character set defined by character type information in the program's locale
+second argument to subsequent calls of \fBiswctype\fR(3C). The \fBwctype()\fR
+function determines values of \fBwctype_t\fR according to the rules of the coded
+character set defined by character type information in the current locale
 (category \fBLC_CTYPE\fR). The values returned by \fBwctype()\fR are valid
-until a call to \fBsetlocale\fR(3C) that modifies the category \fBLC_CTYPE\fR.
-.sp
+only in the locale, or locales with the same \fBLC_CTYPE\fR category.
 .LP
 The function \fBwctype_l()\fR behaves identically to \fBwctype()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-The \fBwctype()\fR function returns \fB0\fR if the given character class name
-is not valid for the current locale (category \fBLC_CTYPE\fR); otherwise it
+These functions return \fB0\fR if the given character class name
+is not valid for the locale (category \fBLC_CTYPE\fR); otherwise it
 returns an object of type \fBwctype_t\fR that can be used in calls to
-\fBiswctype()\fR.
+\fBiswctype\fR(3C).
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -79,11 +72,12 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBiswctype\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
+\fBiswctype\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C),
+\fBattributes\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3c/wcwidth.3c	Sun Jun 29 11:52:31 2014
+++ new/usr/src/man/man3c/wcwidth.3c	Sun Jun 29 11:52:31 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
@@ -8,7 +9,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCWIDTH 3C "Aug 14, 2002"
+.TH WCWIDTH 3C "Jun 25, 2014"
 .SH NAME
 wcwidth, wcwidth_l \- number of column positions of a wide-character code
 .SH SYNOPSIS
@@ -17,40 +18,36 @@
 #include <wchar.h>
 
 \fBint\fR \fBwcwidth\fR(\fBwchar_t\fR \fIwc\fR);
-\fBint\fR \fBwcwidth_l\fR(\fBwchar_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBint\fR \fBwcwidth_l\fR(\fBwchar_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwcwidth()\fR function determines the number of column positions required
 for the wide character \fIwc\fR. The value of \fIwc\fR must be a character
 representable as a \fBwchar_t\fR, and must be a wide-character code
 corresponding to a valid character in the current locale.
-.sp
 .LP
 The function \fBwcwidth_l()\fR behaves identically to \fBwcwidth()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.SH RETURN VALUES
-.sp
 .LP
-The \fBwcwidth()\fR function either returns \fB0\fR (if \fIwc\fR is a null
-wide-character code), or returns the number of column positions to be occupied
-by the wide-character code \fIwc\fR, or returns \fB\(mi1\fR (if \fIwc\fR does
+These functions either return \fB0\fR (if \fIwc\fR is a null
+wide-character code), or the number of column positions to be occupied
+by the wide-character code \fIwc\fR, or \fB\(mi1\fR (if \fIwc\fR does
 not correspond to a printing wide-character code).
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -59,13 +56,16 @@
 _
 CSI	Enabled
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The \fBwcwidth()\fR function is Standard.  The \fBwcwidth_l()\fR function
+is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBwcswidth\fR(3C), \fBattributes\fR(5),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBwcswidth\fR(3C), \fBattributes\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3head/Makefile	Sun Jun 29 11:52:31 2014
+++ new/usr/src/man/man3head/Makefile	Sun Jun 29 11:52:31 2014
@@ -104,7 +104,8 @@
 	 	wait.h.3head		\
 	 	wchar.h.3head		\
 	 	wctype.h.3head		\
-	 	wordexp.h.3head
+	 	wordexp.h.3head		\
+	 	xlocale.h.3head
 
 MANLINKS=	acct.3head		\
 		aio.3head		\
@@ -192,7 +193,8 @@
 		wait.3head		\
 		wchar.3head		\
 		wctype.3head		\
-		wordexp.3head
+		wordexp.3head		\
+		xlocale.3head
 
 acct.3head		:= LINKSRC = acct.h.3head
 aio.3head		:= LINKSRC = aio.h.3head
@@ -281,6 +283,7 @@
 wchar.3head		:= LINKSRC = wchar.h.3head
 wctype.3head		:= LINKSRC = wctype.h.3head
 wordexp.3head		:= LINKSRC = wordexp.h.3head
+xlocale.3head		:= LINKSRC = xlocale.h.3head
 
 .KEEP_STATE:
 
--- old/usr/src/man/man3head/locale.h.3head	Sun Jun 29 11:52:32 2014
+++ new/usr/src/man/man3head/locale.h.3head	Sun Jun 29 11:52:32 2014
@@ -1,6 +1,7 @@
 '\" te
 .\" Copyright (c) 2001, The IEEE and The Open Group. All Rights Reserved. Portions Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" Copyright (c) 2014, Joyent, Inc.   All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
 .\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
@@ -8,7 +9,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH LOCALE.H 3HEAD "Sep 10, 2004"
+.TH LOCALE.H 3HEAD "Jun 23, 2004"
 .SH NAME
 locale.h, locale \- category macros
 .SH SYNOPSIS
@@ -16,9 +17,7 @@
 .nf
 #include <\fBlocale.h\fR>
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 The <\fBlocale.h\fR> header provides a definition for the \fBlconv\fR
 structure, which includes the following members. (See the definition of
@@ -52,8 +51,6 @@
 char         *thousands_sep
 .fi
 .in -2
-
-.sp
 .LP
 The <\fBlocale.h\fR> header defines \fINULL\fR (as defined in <\fBstddef.h\fR>)
 and the following as macros:
@@ -69,12 +66,24 @@
 LC_TIME
 .fi
 .in -2
-
-.sp
 .LP
 The preceding expand to distinct integer constant expressions, for use as the
 first argument to the \fBsetlocale()\fR function. See \fBsetlocale\fR(3C).
+.LP
+The <\fBlocale.h\fR> header also defines the following macros, for use with
+\fBnewlocale\fR(3C):
 .sp
+.in +2
+.nf
+LC_ALL_MASK
+LC_COLLATE_MASK
+LC_CTYPE_MASK
+LC_MESSAGES_MASK
+LC_MONETARY_MASK
+LC_NUMERIC_MASK
+LC_TIME_MASK
+.fi
+.in -2
 .LP
 In addition, to facilitate the use of per-thread locales with the
 .BR uselocale (3C)
@@ -109,17 +118,12 @@
 .BR setlocale (3C).
 .RE
 
-.sp
 .LP
 Additional macro definitions, beginning with the characters \fBLC_\fR and an
 uppercase letter, can also be specified here.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
--- /dev/null	Sun Jun 29 11:52:35 2014
+++ new/usr/src/man/man3head/xlocale.h.3head	Sun Jun 29 11:52:35 2014
@@ -0,0 +1,59 @@
+'\" te
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\"
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\"
+.TH XLOCALE.H 3HEAD "Jun 26, 2014"
+.SH NAME
+xlocale.h, xlocale \- extended locale support
+.SH SYNOPSIS
+.LP
+.nf
+#include <\fBxlocale.h\fR>
+.fi
+.SH DESCRIPTION
+.LP
+The
+.RB < xlocale.h >
+header supplies prototypes for various functions that operate
+using the
+.B locale_t
+structure but which are not specified as part of any formal standard.
+Their location in this header follows the convention established by
+other operating systems.
+.LP
+As none of the definitions supplied in this header, nor this
+header itself, are specified in any standard, their use should
+be avoided in portable applications.
+.SH ATTRIBUTES
+.LP
+See
+.BR attributes (5)
+for descriptions of the following attributes:
+.TS
+box;
+c | c
+l | l .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
+Interface Stability	Uncommitted
+.TE
+
+.SH SEE ALSO
+.LP
+.BR newlocale (3C),
+.BR setlocale (3C),
+.BR uselocale (3C),
+.BR locale (3HEAD),
+.BR attributes (5),
+.BR locale (5),
+.BR standards (5)
